#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libmpeg2-0.5.1

- Next

  libogg-1.3.6

- Up
- Home

# libmusicbrainz-5.1.0

## Introduction to libmusicbrainz

The libmusicbrainz package contains a library which allows you to access the data held on the MusicBrainz server.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/metabrainz/libmusicbrainz/releases/download/release-5.1.0/libmusicbrainz-5.1.0.tar.gz

- Download MD5 sum: 4cc5556aa40ff7ab8f8cb83965535bc3

- Download size: 76 KB

- Estimated disk space required: 6.6 MB (additional 4.4 MB for the API documentation)

- Estimated build time: 0.1 SBU

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/svn/libmusicbrainz-5.1.0-cmake_fixes-1.patch

### libmusicbrainz Dependencies

#### Required

CMake-4.3.2, libxml2-2.15.3 and neon-0.37.1

#### Optional

Doxygen-1.17.0

## Installation of libmusicbrainz

First, fix a problem caused by CMake-3.18.0 and later:

    patch -Np1 -i ../libmusicbrainz-5.1.0-cmake_fixes-1.patch

Fix also a problem caused by libxml-2.12.x:

    sed -e 's/xmlErrorPtr /const xmlError */'     \
        -i src/xmlParser.cc

Install libmusicbrainz by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5 .. &&
    make

If you have installed Doxygen-1.17.0, optionally build the API documentation:

    doxygen ../Doxyfile

This package does not come with a test suite.

Now, as the `root` user:

    make install

If you have built the API documentation, install, as the `root` user:

    rm -rf /usr/share/doc/libmusicbrainz-5.1.0 &&
    cp -vr docs/ /usr/share/doc/libmusicbrainz-5.1.0

## Contents

Installed Programs: None
Installed Library: libmusicbrainz5.so
Installed Directory: /usr/include/libmusicbrainz5 and /usr/share/doc/libmusicbrainz-5.1.0

### Short Descriptions

`libmusicbrainz5.so` | contains API functions for accessing the MusicBrainz database

- Prev

  libmpeg2-0.5.1

- Next

  libogg-1.3.6

- Up
- Home